From 25c2c0281d21dd21a4b239c06299a3b06953e51d Mon Sep 17 00:00:00 2001
Message-Id: <25c2c0281d21dd21a4b239c06299a3b06953e51d.1734649508.git.spencer.king@geneoscopy.com>
In-Reply-To: <7ae1f74dd167f9bbb1b716549ba1cc4bbd464994.1734649508.git.spencer.king@geneoscopy.com>
References: <7ae1f74dd167f9bbb1b716549ba1cc4bbd464994.1734649508.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 19 Dec 2024 23:04:19 +0000
Subject: [PATCH 2/2] gnu: Add julia-staticnumbers.

* gnu/packages/julia-xyz.scm (julia-staticnumbers): New variable.

Change-Id: I922d08011ef43d42cb55e09ed1f2723f7d427faf
---
 gnu/packages/julia-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index e7cbbe246b..1a258f1260 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -6217,6 +6217,28 @@ (define-public julia-staticarrayscore
 depending on the entirety of @code{StaticArrays.jl}.")
     (license license:expat)))
 
+(define-public julia-staticnumbers
+  (package
+    (name "julia-staticnumbers")
+    (version "0.4.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/perrutquist/StaticNumbers.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1m6drdyxgizc6d5qak9l6c2dv8nb6x5kj7sgfxkgwnfxf6ran257"))))
+    (build-system julia-build-system)
+    (native-inputs (list julia-simd julia-staticarrays))
+    (home-page "https://github.com/perrutquist/StaticNumbers.jl")
+    (synopsis "Static numbers in Julia")
+    (description
+     "This package provides number datatypes which store their values in
+ type parameters, making them runtime constants.")
+    (license license:expat)))
+
 (define-public julia-statisticaltraits
   (package
     (name "julia-statisticaltraits")
-- 
2.34.1

